{ config, lib, pkgs, ... }:

{
   fileSystems =
    let
      automount-opts = "x-systemd.automount,noauto,users,x-systemd.idle-timeout=60,x-systemd.device-timeout=5s,x-systemd.mount-timeout=5s,noperm,uid=1000";
      filez-opts = automount-opts + ",credentials=/etc/nixos/filez-secrets";
      # media-server-opts = automount-opts + ",credentials=/etc/nixos/media-server-secrets";
    in {

      "/mnt/filez/media" = {
        device = "//Filez/Media";
        fsType = "smb3";
        options = [ "${filez-opts}" ];
      };

      "/mnt/filez/music-production" = {
        device = "//Filez/Music Production";
        fsType = "smb3";
        options = [ "${filez-opts}" ];
      };

      "/mnt/filez/storage" = {
        device = "//Filez/Storage";
        fsType = "smb3";
        options = [ "${filez-opts}" ];
      };

      "/mnt/filez/photos" = {
        device = "//Filez/Photo Storage";
        fsType = "smb3";
        options = [ "${filez-opts}" ];
      };
    };
}
